gr-baz Package

baz_agc_cc Class Reference

high performance Automatic Gain Control class More...

`#include <baz_agc_cc.h>`

Inheritance diagram for baz_agc_cc:
[legend]

## Public Member Functions
virtual int | work (int noutput_items, gr_vector_const_void_star &input_items, gr_vector_void_star &output_items)

## Protected Attributes
float | _rate
double | _reference
double | _gain
float | _max_gain
unsigned long long | _count
double | _env

## Friends
BAZ_API baz_agc_cc_sptr | baz_make_agc_cc (float rate=1e-4, float reference=1.0, float gain=1.0, float max_gain=0.0)

## Detailed Description

high performance Automatic Gain Control class

For Power the absolute value of the complex number is used.

## Member Function Documentation

## ◆ work()

virtual int baz_agc_cc::work | ( | int | noutput_items,
|  | gr_vector_const_void_star & | input_items,
|  | gr_vector_void_star & | output_items )
| virtual

## Friends And Related Symbol Documentation

## ◆ baz_make_agc_cc

BAZ_API baz_agc_cc_sptr baz_make_agc_cc | ( | float | rate = 1e-4,
|  | float | reference = 1.0,
|  | float | gain = 1.0,
|  | float | max_gain = 0.0 )
| friend

References BAZ_API.

## Member Data Documentation

## ◆ _count

unsigned long long baz_agc_cc::_count
| protected

## ◆ _env

double baz_agc_cc::_env
| protected

## ◆ _gain

double baz_agc_cc::_gain
| protected

## ◆ _max_gain

float baz_agc_cc::_max_gain
| protected

## ◆ _rate

float baz_agc_cc::_rate
| protected

## ◆ _reference

double baz_agc_cc::_reference
| protected

The documentation for this class was generated from the following file:

- baz_agc_cc.h